Class
LogProb
Value type for computation in log-space.
LogProb<T>
Include Headers
seqan/basic.h
Parameters

T | Floating number type to use as the basic. Default: double

Remarks
Internally, the logarithms of the original values are stored. This is numerically more stable for multiplications and large numbers.
This type can be used like an ordinary double or float value.
Examples
LogProb<double> x = 10;
x *= 3;
x += 4;
int y = x;
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56